Bug 692761 - Booting with external monitor plugged in disables built-in screen brightness adjustment until reboot
Booting with external monitor plugged in disables built-in screen brightness ...
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-04-01 00:56 EDT by Luke Hutchison
Modified: 2012-08-07 14:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-07 14:10:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luke Hutchison 2011-04-01 00:56:49 EDT
On my Toshiba laptop, booting with an external monitor plugged into the VGA port disables adjustment of the built-in screen brightness setting until reboot, even if the VGA cable is later unplugged.

Pressing Fn+F6/F7 to adjust laptop panel brightness pops up the OSD, which does respond to the keypresses, but the actual brightness of the builtin panel does not change if the laptop was booted with an external monitor plugged in.  If I boot without an external monitor connected then it works fine.

Also, if I originally booted with an external monitor plugged in, powertop reports the panel power setting at the same percentage as the OSD display, but the builtin panel brightness never visibly changes.

Fedora 15 Alpha (power management test day snapshot)

Reproducibility: 100%

Smolt profile:
Comment 1 Luke Hutchison 2011-04-01 00:57:21 EDT
See also Bug 692759.
Comment 2 Richard Hughes 2012-02-02 04:28:03 EST
Is this fixed on F16? It seems to work for me on my wifes Toshiba.
Comment 3 Luke Hutchison 2012-02-03 10:47:59 EST
Still broken for me on F16 on my own Toshiba laptop. Probably/possibly related to the fact that the VGA pipe can't be enabled unless I boot the machine with VGA plugged in.
Comment 4 Fedora End Of Life 2012-08-07 14:10:12 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:

Note You need to log in before you can comment on or make changes to this bug.